Bug 867603 - [RFE] Add Quantity to Confirm Subscription(s) Dialog
[RFE] Add Quantity to Confirm Subscription(s) Dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 5.10
Assigned To: Alex Wood
IDM QE LIST
: FutureFeature
Depends On:
Blocks: rhsm-rhel510 871581 rhsm-2013
  Show dependency treegraph
 
Reported: 2012-10-17 16:14 EDT by Matt Reid
Modified: 2013-10-01 09:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.8.2
Doc Type: Release Note
Doc Text:
Subscription Manager now displays the number of subscriptions a user is attaching to a specific machine in the System Registration dialog.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quantity displayed (35.11 KB, image/png)
2012-10-17 16:15 EDT, Matt Reid
no flags Details
shows quantity when attaching products (256.74 KB, image/png)
2013-04-30 17:01 EDT, Sharath Dwaral
no flags Details

  None (edit)
Description Matt Reid 2012-10-17 16:14:51 EDT
Description of problem:
While right now it isn't too worrisome, when we start having customers take advantage of stacking, they should be able to see how many of a subscription they are about to subscribe to when running through auto-subscribe. Right now it doesn't look any different if I'm about to subscribe to 1 or 4.

Version-Release number of selected component (if applicable):
subscription-manager-1.1.2-1.git

How reproducible:
Current design doesn't account for quantity, 100%

Steps to Reproduce:
1. Alter sockets reported by facts
2. Register System to stacking-stage 
3. Auto-subscribe, you get 4 (1 - 2 sockets) subscriptions, but you wouldn't know that from our dialogs
  
Actual results:
Could just be 1 subscription

Expected results:
Say how many will be consumed if they continue
Comment 1 Matt Reid 2012-10-17 16:15:58 EDT
Created attachment 629058 [details]
Quantity displayed

Mockup of how it could look
Comment 2 Alex Wood 2012-12-20 11:31:03 EST
You can alter the sockets fact by overriding it with 

$ echo '{"cpu.cpu_socket(s)":"8"}' > /etc/rhsm/facts/sockets.facts
Comment 3 Alex Wood 2012-12-20 14:20:07 EST
commit 0cc3104ea2fb4f279aef1a8c6508cd0d0273637d
Author: Alex Wood <awood@redhat.com>
Date:   Thu Dec 20 11:52:13 2012 -0500

    867603: Add quantity to confirm subscriptions dialog.
Comment 4 Bryan Kearney 2013-02-08 12:18:13 EST
Fixed in the 1.8.2 version of subscription-manager or python-rhsm
Comment 5 Sharath Dwaral 2013-04-30 17:01:49 EDT
Created attachment 741995 [details]
shows quantity when attaching products

# rpm -qa | egrep "subscription-manager|python-rhsm"
python-rhsm-1.8.9-1.git.7.214419e.el5
subscription-manager-migration-data-1.11.2.7-1.git.0.1dfd00e.el5
subscription-manager-gui-1.8.6-1.git.7.96019b0.el5
subscription-manager-firstboot-1.8.6-1.git.7.96019b0.el5
subscription-manager-migration-1.8.6-1.git.7.96019b0.el5
subscription-manager-1.8.6-1.git.7.96019b0.el5

Please see attachment

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.